# VectorNav C++ Library: vn::sensors::GpsSolutionLlaRegister Struct Reference

vn::sensors::GpsSolutionLlaRegister Struct Reference
Register Structures

Structure representing the GPS Solution - LLA register. More...

`#include <registers.h>`

## Public Member Functions

| GpsSolutionLlaRegister (double timeIn, uint16_t weekIn, protocol::uart::GpsFix gpsFixIn, uint8_t numSatsIn, vn::math::vec3d llaIn, vn::math::vec3f nedVelIn, vn::math::vec3f nedAccIn, float speedAccIn, float timeAccIn)
| Creates an initializes a new GpsSolutionLlaRegister structure. More...

## Public Attributes

double | time
| The time field.
uint16_t | week
| The week field.
protocol::uart::GpsFix | gpsFix
| The gpsFix field.
uint8_t | numSats
| The numSats field.
vn::math::vec3d | lla
| The lla field.
vn::math::vec3f | nedVel
| The nedVel field.
vn::math::vec3f | nedAcc
| The nedAcc field.
float | speedAcc
| The speedAcc field.
float | timeAcc
| The timeAcc field.

## Detailed Description

Structure representing the GPS Solution - LLA register.

## Constructor & Destructor Documentation

vn::sensors::GpsSolutionLlaRegister::GpsSolutionLlaRegister | ( | double | timeIn,
|  | uint16_t | weekIn,
|  | protocol::uart::GpsFix | gpsFixIn,
|  | uint8_t | numSatsIn,
|  | vn::math::vec3d | llaIn,
|  | vn::math::vec3f | nedVelIn,
|  | vn::math::vec3f | nedAccIn,
|  | float | speedAccIn,
|  | float | timeAccIn
| ) |  |

inline

Creates an initializes a new GpsSolutionLlaRegister structure.

Parameters

  [in] | timeIn | Value to initialize the time field with.
  [in] | weekIn | Value to initialize the week field with.
  [in] | gpsFixIn | Value to initialize the gpsFix field with.
  [in] | numSatsIn | Value to initialize the numSats field with.
  [in] | llaIn | Value to initialize the lla field with.
  [in] | nedVelIn | Value to initialize the nedVel field with.
  [in] | nedAccIn | Value to initialize the nedAcc field with.
  [in] | speedAccIn | Value to initialize the speedAcc field with.
  [in] | timeAccIn | Value to initialize the timeAcc field with.

The documentation for this struct was generated from the following file:

- include/vn/registers.h